/* ------------------------------------------------------------ */
/* header */
.header {
  position: fixed;
  display: flex;
  width: 100%;
  height: 76px;
  background-color: #FFF;
  z-index: 100;
}

.header .main-header {
  margin: 0 auto;
  width: 125rem;
  padding: 0 2.5rem;
}

.header .header-group {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

.header .header-logo {
  width: 250px;
  height: 50px;
  text-align: center;
}

.header .header-logo>a {
  background: url(/images/logo.png);
  background-repeat: no-repeat;
  background-position: center center;
  width: 100%;
  height: 100%;
}

.header .menu {
  height: 100%;
}

.header .wrap {
  height: 100%;
}

.menu .wrap .content {
  position: relative;
}

.header .wrap .menu_close {
  display: none;
}

.header .wrap ul {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
  font-size: 2rem;
  font-weight: 600;
  letter-spacing: 0.05rem;
  text-indent: 0.05rem;
}

.header .wrap ul .btn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  padding: 0 0.5rem;
  margin: 0 0.5rem;
  height: 60%;
}

.header .wrap ul>li.btn:not(:has(a[href*="whereToBuy"]))::after {
  content: "";
  position: absolute;
  right: -0.6rem;
  top: 50%;
  transform: translateY(-50%);
  width: 2px;
  height: 36px;
  background-color: #000;
}

.header .wrap ul>li#sign_out::after {
  display: none !important;
}

.header .wrap ul .btn:hover,
.header .wrap ul .btn:hover a,
.header .wrap ul .btn.active:hover a {
  background: #de1f11;
  color: #FFF;
}

.header .wrap ul .btn:active {
  opacity: 0.6;
}

.header .wrap ul .btn.active a {
  color: #de1f11;
}

.header .wrap ul .dropdown {
  position: relative;
}

.header .wrap ul .btn a {
  display: flex;
  align-items: center;
  color: #000;
  height: 100%;
}

.header .wrap ul .btn a span {
  font-size: 1.2rem;
  margin-left: 0.5rem;
}

.header .wrap ul.dropdown-menu {
  display: none;
  position: absolute;
  width: 100%;
  height: auto;
  top: 100%;
  left: 0;
  background: #de1f11;
  color: #FFF;
  list-style: none;
  margin: 0;
  z-index: 1000;
}

.header .wrap ul .dropdown:hover .dropdown-menu {
  display: block;
}

.header .wrap .dropdown-menu li {
  cursor: pointer;
  font-size: 1.6rem;
  font-weight: 400;
}

.header .wrap .dropdown-menu li a {
  padding: 1rem 0;
}

.header .wrap .dropdown.active .dropdown-menu .js-serial-link.active {
  color: #fff100;
}


.header .fans {
  display: flex;
  margin: 0 1rem;
  gap: 0.7rem;
}

.header .fans a {
  width: 4rem;
  height: 4rem;
  display: block;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: 100% 100%;
}

.header .fans a:nth-child(1) {
  background-image: url("/images/icon/icon_fb.png");
}

.header .fans a:nth-child(2) {
  background-image: url("/images/icon/icon_home.png");
}

/* ------------------------------------------------------------ */
/* 專門For Tablet 設定 */
@media (max-width: 1024px) {
  .header {
    height: 10.4rem;
  }

  .header .main-header {
    padding: 0;
  }

  .header .header-group {
    display: block;
  }

  .header .header-group .header-top {
    display: flex;
    align-items: center;
    height: 100%;
  }

  .header .header-logo {
    width: 34.5rem;
    height: 6.5rem;
    margin-left: 2.92rem;
  }

  .header .header-logo>a {
    background: url(/images/t/logo_t.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%;
  }

  .header .header-right {
    position: absolute;
    top: 50%;
    right: 2.5rem;
    transform: translateY(-50%);
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 2rem;
  }

  .header .header-right>a {
    width: 5.85rem;
    height: 5.85rem;
    display: block;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%;
  }

  .header .header-right a:nth-child(1) {
    background-image: url("/images/icon/icon_fb.png");
  }

  .header .header-right a:nth-child(2) {
    background-image: url("/images/icon/icon_home.png");
  }

  .header .header-right .menu_open {
    display: block;
    width: 6.34rem;
    height: 4.88rem;
  }

  .header .menu {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    visibility: hidden;
    overflow: hidden;
    transition: background-color 0.1s linear, visibility 0s linear 0.3s;
    width: 100%;
  }

  .header .menu.menu-show {
    visibility: visible;
    transition: background-color 0s linear, visibility 0s linear;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .header .wrap {
    align-items: center;
    height: 100%;
    font-weight: 500;
  }

  .header .wrap .content {
    position: fixed;
    top: 0;
    right: 0;
    background: #000000d4;
    height: 100vh;
    width: 360px;
    transform: translateX(100%);
    transition: transform 0.5s ease-out;
  }

  .header .menu.menu-show .content {
    transform: translateX(0);
  }

  .header .wrap .menu_close {
    position: absolute;
    display: block;
    width: 6.34rem;
    height: 4.88rem;
    top: 2.3%;
    right: 6%;
    cursor: pointer;
  }

  .header .wrap ul {
    flex-direction: column;
    justify-content: start;
    align-items: end;
    margin-top: 12rem;
    gap: 0;
  }

  .header .wrap ul .btn {
    color: #FFF;
    font-size: 3.3rem;
    line-height: 1.5;
    letter-spacing: 0.1rem;
    height: auto;
    width: 100%;
    padding: 0;
    justify-content: flex-end;
    font-weight: 300;
  }

  .header .wrap ul>li.btn:not(:has(a[href*="whereToBuy"]))::after {
    display: none;
  }

  .header .wrap ul .btn a,
  .header .wrap ul .btn#sign_out {
    width: 100%;
    color: #FFF;
    justify-content: flex-end;
    padding-right: 2rem;
    height: 7rem;
  }

  .header .wrap ul .btn:hover,
  .header .wrap ul .btn:hover a {
    background: #5b5b5b61;
    color: #FFF;
  }

  .header .wrap ul .btn.active a,
  .header .wrap ul .btn.active:hover a {
    background: #5b5b5b80;
    color: #f6ec11;
  }

  .header .wrap ul .btn:active {
    opacity: 1;
  }

  .header .wrap ul .dropdown {
    position: static;
    display: flex;
    flex-direction: column;
  }

  .header .wrap ul .dropdown>a {
    pointer-events: auto;
  }

  .header .wrap ul .dropdown.is-open>a {
    color: #f6ec11;
  }

  .header .wrap ul .dropdown>a span {
    transform: rotate(0deg);
    display: inline-block;
    transition: transform 0.3s;
  }

  .header .wrap ul .dropdown.is-open>a span {
    transform: rotate(180deg);
    display: inline-block;
    transition: transform 0.3s;
  }

  .header .wrap ul .btn a span {
    font-size: 1.8rem;
    margin-left: 1rem;
  }

  .header .wrap ul.dropdown-menu {
    display: none;
    /* display: block; */
    position: static;
    width: 100%;
    height: auto;
    background: #5b5b5b5b;
    color: #FFF;
    list-style: none;
    margin: 0;
    padding: 0;
    z-index: 1000;
  }

  .header .wrap ul .dropdown.is-open .dropdown-menu {
    display: block;
  }

  .header .wrap ul .dropdown:not(.is-open) .dropdown-menu {
    display: none;
  }

  .header .wrap .dropdown.active .dropdown-menu .js-serial-link {
    color: #FFF;
  }

  .header .fans {
    display: none;
  }

}

/* ------------------------------------------------------------ */
/* 專門For Ｍobile設定 */
@media (max-width: 640px) {
  .header {
    height: 7.6rem;
  }

  .header .header-logo {
    width: 25rem;
    height: 5rem;
    margin-left: 2.92rem;
  }

  .header .header-logo>a {
    background: url(/images/logo.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%;
  }

  .header .header-right .menu_open,
  .header .wrap .menu_close {
    width: 4.5rem;
    height: 3.5rem;
  }

  .header .header-right>a {
    display: none;
  }

  .header .wrap .content {
    width: 50%;
  }

  .header .wrap ul {
    height: 85vh;
    margin-top: 11rem;
  }

  .header .fans {
    display: flex;
    flex-direction: row;
    margin-top: auto;
    margin-right: 2rem;
    padding-bottom: 2rem;
    gap: 2.5rem;
  }

  .header .fans a {
    width: 7.5rem;
    height: 7.5rem;
    display: block;
    background-repeat: no-repeat;
    background-position: 50%;
    background-size: 100% 100%;
  }

  .header .fans a:nth-child(2) {
    background-image: url("/images/icon/icon_home_m.png");
  }
}



/* ------------------------------------------------------------ */
/* 專門For pc設定 */
@media (min-width: 1025px) {
  .header .header-right {
    display: none;
  }
}